#ifndef _SXX_MAIN_
#define _SXX_MAIN_

#include "request_parser.h"
#include "response_generator.h"
#include "server_socket.h"
#include "connection_manager.h"
#include "file_manager.h"
#include "session_manager.h"
using namespace sxx_var;
using namespace sxx_parser;
using namespace sxx_generator;
using namespace sxx_socket;
using namespace sxx_manager;
using namespace sxx_file;
using namespace sxx_session;

extern string sxx_hostname;
extern string sxx_port;
extern int sxx_backlog;
extern int sxx_max_threads;
extern int sxx_receive_timeout;

int main(int argc, char* argv[]);
void sxx_client_handler(connection_info& info); 
void sxx_null_handler(int signal);
void sxx_shutdown_handler(int signal);

void sxx_config();
void sxx_init();
void sxx_handler(const request& input, response& output,
                 var& page_info, var& session);
void sxx_destroy();

#endif

