#ifndef _SXX_VALIDATE_
#define _SXX_VALIDATE_

#include <string>
#include <vector>
#include <exception>
using std::vector;
using std::string;
using std::exception;

namespace sxx_validate {

vector<string> regex(const string& text, const string& pattern);

class regex_failure: public exception {

public:
	virtual const char* what() const throw();
};

class regex_syntax: public regex_failure {

public:
	virtual const char* what() const throw();
};

class regex_mismatch: public regex_failure {

public:
	virtual const char* what() const throw();
};

}

#endif

