#include "../sxx/sxx_main.h"
#include "pages/pages.h"
#include <iostream>
using namespace std;

void default_page_static(const request& input, response& output, var& page, var& session, const string& file);
void default_page_field_error(const request& input, response& output, var& page, var& session, const string& field);
void default_page_exception(const request& input, response& output, var& page, var& session, const string& error);

void sxx_config() {

}

void sxx_init() {

}

void sxx_handler(const request& input, response& output, var& page, var& session) {
	try {
		string filename;
		filename = input.path;

		do {
			#include "pages/pages.inc"
			default_page_static(input, output, page, session, filename);
			break;
		} while (filename != "");
	} catch (const char* error_field) {
		default_page_field_error(input, output, page, session, error_field);
	} catch (const string& error_field) {
		default_page_field_error(input, output, page, session, error_field);
	} catch (const exception& error) {
		default_page_exception(input, output, page, session, error.what());
	}
}

void sxx_destroy() {

}

