#include "../sxx/sxx_main.h"
#include "../sxx/file_manager.h"
using namespace sxx_file;

void default_page_static(const request& input, response& output, var& page, var& session, const string& file) {
	string filename = file;
	filename = filename[0] == '/'? filename.substr(1): filename;

	// Do not allow accessing any directories.
	if (filename.find("/") != string::npos) {
		access_denied err;
		throw err;
	}

	// Default page.
	if (filename == "")
		filename = "index.html";

	filename = "static/" + filename;

	output.content << file_manager::instance().read_file(filename);
}

