#ifndef _SXX_RESPONSE_
#define _SXX_RESPONSE_

#include "var.h"
#include <sstream>
using namespace sxx_var;
using std::ostringstream;

namespace sxx_response {

class response {
public:
	response();

	int status;
	bool connection_close;
	string location;
	string content_type;

	map<string, string> headers;
	map<string, var> expire_cookie;
	map<string, var> session_cookie;
	map<string, var> persistent_cookie;

	ostringstream content;
};

} // end of namespace sxx_response.

#endif

